Subject: bug#36911: 26.1; Impossible to customise vc-ignore-dir-regexp

From: Juliusz Chroboczek <[email-masked]>
Date: Fri, 23 Aug 2019 15:08:43 +0200

Hi Lars,

>>> vc-ignore-dir-regexp is a variable defined in ‘vc-hooks.el’.
>>> Its value is
>>> "\\`\\(?:[\\/][\\/][^\\/]+[\\/]\\|/\\(?:net\\|afs\\|\\.\\.\\.\\)/\\)\\'"

>> It is essentially impossible for a normal user to customise this variable
>> without disabling the existing functionality.  So for now, it's
>> 
>> (setq vc-handled-backends nil)

> I'm not sure why it's impossible to customise that variable?  You can
> just set it to "/my/ignored/directory" and that should work.

> (You'd lose the original value, which is about AFS and SMB mounts, which
> may be a sensible default, but which isn't relevant to most people
> working in GNU/Linux.)

How am I supposed to know that?  I'm sure I'm not the only person afraid
to touch it.

-- Juliuszp